/* Problem 3--Uruk Runes
   Just a straightforward ASCII art problem with no tricks. */

import java.io.*;
import java.util.*;

public class prob3 {

 public static Scanner in = null;
 public static PrintWriter out = null;

 public static void main (String[] args) throws Exception {

  in = new Scanner (new File ("prob3.in"));
  out = new PrintWriter ("prob3.out");
  int sz = 0; //Process still you find the zero
  while ((sz=in.nextInt()) > 0) Process (sz);
  in.close ();
  out.close ();
 }

 /* Processes each input case */
 public static void Process (int sz) {

  for (int i=0; i < sz; i++) { //Top part
   pch ('|',1);
   pch (' ',i);
   pch ('\\',1);
   pch (' ',2*sz-2*i-2);
   pch ('/',1);
   pch (' ',i);
   pch ('|',1);
   out.println ();
  }
  for (int i=sz-1; i >= 0; i--) { //Middle part
   pch ('|',1);
   pch (' ',i);
   pch ('/',1);
   pch (' ',2*sz-2*i-2);
   pch ('\\',1);
   pch (' ',i);
   pch ('|',1);
   out.println ();
  }
  for (int i=0; i < 2*sz; i++) { //Bottom part
   pch ('|',1);
   pch (' ',2*sz);
   pch ('|',1);
   out.println ();
  }
  out.println ();
 }

 /* prints multiple copies of a character */
 public static void pch (char c, int ct) {

  for (int i=0; i < ct; i++) out.print (c);
 }
}
